# Interface AssemblerSourceSet

All Superinterfaces:
  `Buildable, BuildableComponentSpec, ComponentSpec, LanguageSourceSet, ModelElement, Named`

@Incubating public interface AssemblerSourceSet extends LanguageSourceSet
A set of assembly language sources.

    apply plugin: "assembler"

    model {
        components {
            main(NativeLibrarySpec) {
                sources {
                    asm {
                        source {
                            srcDirs "src/main/i386", "src/shared/asm"
                            include "**/*.s"
                        }
                    }
                }
            }
        }
    }

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface LanguageSourceSet

`generatedBy, getParentName, getSource`

### Methods inherited from interface ModelElement

`getDisplayName, getName`